Module | Sequel::ConnectionPool::ClassMethods
In: | lib/sequel/connection_pool.rb

Class methods used to return an appropriate pool subclass, separated into a module for easier overridding by extensions.

### Methods

get_pool

### Public Instance methods

get_pool(opts = {}, &block)

Return a pool subclass instance based on the given options. If a `:pool_class` option is provided is provided, use that pool class, otherwise use a new instance of an appropriate pool subclass based on the `:single_threaded` and `:servers` options.

[Source]

        # File lib/sequel/connection_pool.rb, line 42
    42:     def get_pool(opts = {}, &block)
    43:       case v = connection_pool_class(opts)
    44:       when Class
    45:         v.new(opts, &block)
    46:       when Symbol
    47:         Sequel.ts_require("connection_pool/#{v}")
    48:         connection_pool_class(opts).new(opts, &block) || raise(Sequel::Error, "No connection pool class found")
    49:       end
    50:     end

[Validate]